<form (ngSubmit)="onSubmit()" [formGroup]="formGroup" class="w-96">
  <h2 mat-dialog-title>What you want <span class="text-blue-600">ToDo</span>?</h2>
  <mat-dialog-content class="mat-typography !pb-0">
    <div class="pt-5 flex flex-col">
      <mat-form-field>
        <mat-label>Description</mat-label>
        <textarea formControlName="description" matInput placeholder="Describe your task"></textarea>
      </mat-form-field>
      <mat-form-field>
        <mat-label>Priority</mat-label>
        <mat-select formControlName="priority">
          @for (priority of ['Low', 'Medium', 'High']; track priority) {
            <mat-option [value]="priority">{{ priority }}</mat-option>
          }
        </mat-select>
      </mat-form-field>
    </div>
  </mat-dialog-content>
  <mat-dialog-actions>
    <div class="flex flex-row-reverse justify-evenly items-center w-full pb-3">
      <button [disabled]="formGroup.invalid" color="primary" mat-stroked-button type="submit">Save</button>
      <button color="warn" mat-dialog-close mat-stroked-button>Close</button>
    </div>
  </mat-dialog-actions>
</form>
